[arch-commits] Commit in iptraf/trunk (PKGBUILD iptraf-3.0.0-headerfix.patch)

Eric Belanger eric at archlinux.org
Tue Aug 19 02:08:53 EDT 2008


    Date: Tuesday, August 19, 2008 @ 02:08:53
  Author: eric
Revision: 9826

upgpkg: iptraf 3.0.0-2
    updated iptraf-3.0.0-headerfix.patch, disabled SMP build

Modified:
  iptraf/trunk/PKGBUILD
  iptraf/trunk/iptraf-3.0.0-headerfix.patch

------------------------------+
 PKGBUILD                     |   10 ++++++----
 iptraf-3.0.0-headerfix.patch |   37 ++++++++++++++++++++++++-------------
 2 files changed, 30 insertions(+), 17 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-19 05:53:33 UTC (rev 9825)
+++ PKGBUILD	2008-08-19 06:08:53 UTC (rev 9826)
@@ -6,17 +6,19 @@
 pkgver=3.0.0
 pkgrel=2
 pkgdesc="An IP network monitor."
+arch=('i686' 'x86_64')
 url="http://cebu.mozcom.com/riker/iptraf/index.html"
-arch=('i686' 'x86_64')
-depends=('ncurses')
+depends=('ncurses>=5.6-7')
 license=('GPL')
+options=('!makeflags')
 source=(ftp://iptraf.seul.org/pub/iptraf/$pkgname-$pkgver.tar.gz
 iptraf-$pkgver-headerfix.patch)
-md5sums=('377371c28ee3c21a76f7024920649ea8' 'cb388a8dc2806cf55330251337e2039f')
+md5sums=('377371c28ee3c21a76f7024920649ea8' '1d7f4a5c81086463452e73dae1799acf')
 
 build() {
+  cd $startdir/src/$pkgname-$pkgver
+  patch -Np1 -i ../iptraf-$pkgver-headerfix.patch || return 1
   cd $startdir/src/$pkgname-$pkgver/src
-	patch -Np0 -i ../../iptraf-$pkgver-headerfix.patch
   /bin/sed -i -e s:/var/local/iptraf:/var/lib/iptraf: \
       -e s:/usr/local/bin:/usr/sbin: dirs.h
   /usr/bin/make CFLAGS="$CFLAGS" DEBUG="" TARGET="/usr/sbin" \

Modified: iptraf-3.0.0-headerfix.patch
===================================================================
--- iptraf-3.0.0-headerfix.patch	2008-08-19 05:53:33 UTC (rev 9825)
+++ iptraf-3.0.0-headerfix.patch	2008-08-19 06:08:53 UTC (rev 9826)
@@ -1,14 +1,25 @@
-2005/09/29  K. Piche
-Unofficial patch to work around header file problems.
+diff -Naur iptraf-3.0.0-minus/src/othptab.c iptraf-3.0.0/src/othptab.c
+--- iptraf-3.0.0-minus/src/othptab.c	2006-09-27 03:30:33.000000000 +0200
++++ iptraf-3.0.0/src/othptab.c	2006-09-27 03:34:24.000000000 +0200
+@@ -17,6 +17,7 @@
+ ***/
+ 
+ #include <asm/types.h>
++#include <sys/types.h>
+ #include <linux/if_ether.h>
+ #include <winops.h>
+ #include "arphdr.h"
+diff -Naur iptraf-3.0.0-minus/src/tr.c iptraf-3.0.0/src/tr.c
+--- iptraf-3.0.0-minus/src/tr.c	2005-09-13 08:42:54.000000000 +0200
++++ iptraf-3.0.0/src/tr.c	2006-09-27 03:32:54.000000000 +0200
+@@ -7,8 +7,8 @@
+  */
+ 
+ #include <asm/types.h>
+-#include <linux/if_tr.h>
+ #include <netinet/in.h>
++#include <linux/if_tr.h>
+ 
+ unsigned int get_tr_ip_offset(unsigned char *pkt)
+ {
 
---- tcptable.h.orig	2005-09-29 11:41:32.000000000 -0400
-+++ tcptable.h	2005-09-29 11:41:49.000000000 -0400
-@@ -24,7 +24,7 @@
- #include <linux/if_ether.h>
- #include <linux/if_fddi.h>
- #include <linux/if_tr.h>
--#include <net/if.h>
-+/* #include <net/if.h> */
- #include <netinet/ip.h>
- #include <netinet/udp.h>
- #include "servname.h"




More information about the arch-commits mailing list